Glance image properties and values are not documented

Bug #1330005 reported by Ian Wells on 2014-06-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-manuals
Medium
idzzy

Bug Description

From the page: "Common image properties are also specified in the /etc/glance/schema-image.json file. For a complete list of valid property keys and values, refer to the OpenStack Command-Line Reference."

.. the last bit is a link to a page, and if I search that page for a property out of the next table, 'instance_type_rxtx_factor', I get 0 matches. The information may be documented, but it's not documented there; I've yet to find it, though.

-----------------------------------
Built: 2014-06-13T06:01:39 00:00
git SHA: 0cb8f2d58956dd7f8f47948b360430d5deca8526
URL: http://docs.openstack.org/image-guide/content/image-metadata.html
source File: file:/home/jenkins/workspace/openstack-manuals-tox-doc-publishdocs/doc/image-guide/section_glance-image-metadata.xml
xml:id: image-metadata

Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → Medium
Andreas Jaeger (jaegerandi) wrote :

rxtx_factor is not documented on the page. I'll fix the link

Fix proposed to branch: master
Review: https://review.openstack.org/102636

Changed in openstack-manuals:
assignee: nobody → Andreas Jaeger (jaegerandi)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/102636
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=59f045f3298ef34c1a6ec6d14bd4a63f8ce81d99
Submitter: Jenkins
Branch: master

commit 59f045f3298ef34c1a6ec6d14bd4a63f8ce81d99
Author: Andreas Jaeger <email address hidden>
Date: Wed Jun 25 22:29:26 2014 +0200

    Image Guide: Add link to proper section

    Add link to proper section which documents the properties.

    Change-Id: I76f838826944c784d5e8d8c45bc5b38dfd252259
    Partial-Bug: #1330005

Changed in openstack-manuals:
assignee: Andreas Jaeger (jaegerandi) → nobody
status: In Progress → Triaged
Brian Rosmaita (brian-rosmaita) wrote :

The "instance_" prefixed properties are put on images when they're created using the Compute API. The only one considered to be a glance "common image property" is "instance_uuid".

Darren Chan (dazzachan) wrote :

A description of the instance_type_rxtx_factor property needs to be documented in http://docs.openstack.org/cli-reference/content/chapter_cli-glance-property.html

Tom Fifield (fifieldt) on 2015-06-18
tags: added: glance low-hanging-fruit
idzzy (idzzy) on 2015-06-20
Changed in openstack-manuals:
assignee: nobody → idzzy (idzzy)
Changed in openstack-manuals:
status: Triaged → In Progress
Changed in openstack-manuals:
status: In Progress → Fix Released
Lana (loquacity) wrote :

Fixed in this patch: https://review.openstack.org/#/c/193783/ Thanks Yusuke-san!

This issue was fixed in the openstack/openstack-manuals 15.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers